%global srcname remoto

Name:           python-%{srcname}
Version:        1.2.1
Release:        1
Summary:        Execute remote commands or processes
License:        MIT
URL:            https://github.com/alfredodeza/remoto
Source0:        https://files.pythonhosted.org/packages/42/02/a9e5b25538bd12d98c7ea6d277c33e472d1d1d4ec50a4d42be3ca73f6023/remoto-1.2.1.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-execnet >= 1.2.0
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools

%global _description\
Execute remote commands or processes.

%description %_description

%package -n python3-%{srcname}
Summary:        Execute remote commands or processes
Requires:       python3
Requires:       python3-execnet >= 1.2.0

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%{py3_build}

%install
%{py3_install}

%check
py.test-%{python3_version} -v remoto/tests

%files -n python3-%{srcname}
%{python3_sitelib}/*
%license LICENSE
%doc README.rst


%changelog
* Wed Sep 28 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 1.2.1-1
- Upgrade to 1.2.1

* Thu Jun 24 2021 liufeng <liufeng@kylinos.cn> - 1.1.4-1
- Package Init

